/*                                                           05-31-95 07:40pm
 ****************************************************************************
 *   DBLIB   Version 1.10.02    dBASE-file C Interface Library.
 ****************************************************************************
 *
 *   DB_ADDRE.C       Append a record to a opened dBASE file.
 * ( db_addrec )
 *
 * Copyright (c) Alexander V. Loukyanets, 1994,95.  All rights reserved.
 *
 ****************************************************************************
 *
 * Usage:
 *      d = (struct DBF *)malloc( sizeof( struct DBF ) );
 *      strcpy( d->filename, "filename.dbf" );
 *      db_open( d );
 *      ... put desired data into memory at location pointed to by
 *          d->record_ptr ...
 *      db_addrec( d );
 *      db_close( d );
 *      free( d );
 *
 ****************************************************************************
 */

#include <stdio.h>
#include "dblib.h"
#include "dbdeb.h"


int db_addrec( struct DBF *d )
{
  fseek( d->file_ptr,
         ((long)d->header_length + (d->records * d->record_length)),
         0 );
  fwrite( d->record_ptr, d->record_length, 1, d->file_ptr );
  d->current_record = ++d->records;
  d->status = db_updated;
  return( DBE_OK );
}


/****************************************************************************
*** end of DB_ADDRE.C ***/