/*                                                           05-31-95 07:40pm
 ****************************************************************************
 *   DBLIB   Version 1.10.02    dBASE-file C Interface Library.
 ****************************************************************************
 *
 *   DB_BLANK.C       Fill a record in memory with blanks.
 * ( db_blank )
 *
 * Copyright (c) Alexander V. Loukyanets, 1994,95.  All rights reserved.
 *
 ****************************************************************************
 *
 * Usage:
 *      d = (struct DBF *)malloc( sizeof( struct DBF ) );
 *      strcpy( d->filename, "filename.dbf" );
 *      db_open( d );
 *      db_blank( d );
 *      db_addrec( d );
 *      db_close( d );
 *      free( d );
 *
 * Notes:
 *      The above code fragment append a blank record to the end of the
 *      dBASE file.
 *
 ****************************************************************************
 */

#include <stdio.h>
#include <string.h>
#include "dblib.h"
#include "dbdeb.h"


int db_blank( struct DBF *d )
{
  memset( d->record_ptr, '\x20', d->record_length );
  return( DBE_OK );
}


/****************************************************************************
*** end of DB_BLANK.C ***/