/*                                                           05-31-95 07:40pm
 ****************************************************************************
 *   DBLIB   Version 1.10.02    dBASE-file C Interface Library.
 ****************************************************************************
 *
 *   DB_PUTFL.C       Fill a field with data from buffer
 * ( db_putfld )
 *
 * Copyright (c) Alexander V. Loukyanets, 1994,95.  All rights reserved.
 *
 ****************************************************************************
 *
 * Usage:
 *      d = (struct DBF *)malloc( sizeof( struct DBF ) );
 *      strcpy( d->filename, "filename.dbf" );
 *      db_open( d );
 *      db_getrec( d, (long)recordno );
 *      db_getfld( d, fieldno,buffer );
 *      ... modify field data ...
 *      db_putfld( d, fieldno,buffer );
 *      db_putrec( d, (long)recordno );
 *      db_close( d );
 *      free( d );
 *
 * Notes:
 *      This routine places the data into a record in memory.
 *      d_addrec or d_putrec must be called to write the data to the
 *      file on disk.
 *
 * Returns:
 *      Length of the field if successful. 0 if not.
 *
 ****************************************************************************
 */

#include <stdio.h>
#include <string.h>
#include "dblib.h"
#include "dbdeb.h"


int db_putfld( struct DBF *d, int f, char *buff )
{
  struct FIELD_RECORD *fp;

  if(f > 0 && f <= d->num_fields) {
    fp = d->fields_ptr + (f - 1);
    memcpy(fp->field_data_address,buff,fp->len);
    return(fp->len);
  }
  else {
    return(0);
  }
}


/****************************************************************************
*** end of DB_PUTFL.C ***/