/*                                                           05-31-95 07:40pm
 ****************************************************************************
 *   DBLIB   Version 1.10.02    dBASE-file C Interface Library.
 ****************************************************************************
 *
 *   DB_PUTRE.C       Update a record in a dBASE file.
 * ( db_putrec )
 *
 * Copyright (c) Alexander V. Loukyanets, 1994,95.  All rights reserved.
 *
 ****************************************************************************
 *
 * Usage:
 *      d = (struct DBF *)malloc( sizeof( struct DBF ) );
 *      strcpy( d->filename, "filename.dbf" );
 *      db_open( d );
 *      db_getrec( d, (long)recordno );
 *      ... modify record ...
 *      db_putrec( d, (long)recordno );
 *      db_close( d );
 *      free( d );
 *
 * Notes:
 *      The data for the record is contained in memory at the location
 *      pointed to by DBF.record_ptr.
 *
 * Returns:
 *      DBE_OK              if successfull
 *      DBE_RECNO_TOO_BIG   if record is not in database
 *
 ****************************************************************************
 */

#include <stdio.h>
#include "dblib.h"
#include "dbdeb.h"


int db_putrec(struct DBF *d,unsigned long int r)
{
  if ( r > d->records )
    return( DBE_RECNO_TOO_BIG );
  if(r > 0L) {
    fseek( d->file_ptr, ((long)d->header_length + ((r - 1) * d->record_length)), 0 );
    fwrite( d->record_ptr, d->record_length, 1, d->file_ptr );
    d->status = db_updated;
  }
  d->current_record = r;
  return( DBE_OK );
}


/****************************************************************************
*** end of DB_PUTRE.C ***/